--KONSTSTART
ANCODE = "AN221"
AUSCODE = "AUS221"
macAD = wifi.sta.getmac()
SSID = "#SSID#"
PW = "#PW#"
IPADR = "#IP#"   
IPROUTER = "10.1.0.9"  
NAME = "#NAME#"
--KONSTEND

function on_board_led(status)
  pin = 0
  gpio.mode(pin,gpio.OUTPUT)
  
  if status ~= 1 then
     gpio.write(pin,gpio.HIGH)
  else
     gpio.write(pin,gpio.LOW)
  end
end



wifi.setmode(wifi.STATION)
wifi.sta.setip({ip=IPADR,netmask="255.255.255.0",gateway=IPROUTER})
wifi.sta.config(SSID,PW)
wifi.sta.connect()
tmr.delay(1000000)

macAD = wifi.sta.getmac()
status = "OFF"
srv=net.createServer(net.TCP) 
srv:listen(80,function(conn) 
    conn:on("receive",function(conn,payload) 
    --print(payload) 
    erg = string.find(payload,ANCODE)
    --print(erg)
    if erg ~= nil then
       on_board_led(1)
      -- print("Licht AN")
       status = "ON"
    end
    erg = string.find(payload,AUSCODE)
    --print(erg)
    if erg ~= nil then
      -- print("Licht AUS")
       status = "OFF"
       on_board_led(0)
    end
    erg = string.find(payload,"GET")
    --print(erg)
    if erg ~= nil then
       jsonstr = " {  \"typ\": \"Reciver\", \"status\": \"" .. status .. "\",  \"IP\": \"" .. IPADR .. "\",  \"MAC\": \"" .. macAD .. "\", \"Name\": \"" .. NAME .. "\" }"
       conn:send(jsonstr)
    end
    conn:close()
    end) 
end)

