--KONSTSTART
ANCODE = "AN221"
AUSCODE = "AUS221"
macAD = wifi.sta.getmac()
SSID = "k9-1"
PW = "test++test34"
IPRECIVER = "10.1.0.254" 
IPADR = "10.1.0.10"
IPROUTER = "10.1.0.9"
NAME = "kueche"
--KONSTEND


--
-- taste do1 eventhaendler handel1
-- reagiert auf Interrupt von test gpio pin 1
--- Sendet dann an emfänger den status der Taste
--
function handel1(level)
 tmr.delay(1000)
 if level == 1 then 
    gpio.trig(1, "down")
    
 else
    
    if statusAN == 0 then
       --print("AN")
       statusAN = 1
       sk=net.createConnection(net.TCP, 0)
        sk:on("receive", function(sk,c)  print(c) end )
        sk:connect(80,IPRECIVER)
        sk:send(ANCODE)

    else
       --print("AUS")
       statusAN = 0
       sk=net.createConnection(net.TCP, 0)
        sk:on("receive", function(sk,c)  print(c) end )
        sk:connect(80,IPRECIVER)
        sk:send(AUSCODE)

    end       
    gpio.trig(1, "up") end
end

wifi.setmode(wifi.STATION)
wifi.sta.setip({ip=IPADR,netmask="255.255.255.0",gateway=IPROUTER})
wifi.sta.config(SSID,PW)
wifi.sta.connect()
tmr.delay(1000000)
srv=net.createServer(net.TCP) 
srv:listen(80,function(conn) 
    conn:on("receive",function(conn,payload) 
    --print(payload) 
    jsonstr = " {  \"typ\": \"Sender\", \"status\": \"" .. statusAN .. "\",  \"IP\": \"" .. IPADR .. "\",  \"MAC\": \"" .. macAD .. "\", \"Name\": \"" .. NAME .. "\" }"
    conn:send(jsonstr)
    conn:close()
    end) 
end)

gpio.mode(1,gpio.INT)
statusAN = 0
--Tasten Haender Port 1
gpio.trig(1, "down",handel1)
